Bug 1411833 - Missing flash message after Middleware "Add Datasource" operation and wizard not reset
Summary: Missing flash message after Middleware "Add Datasource" operation and wizard ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Alexandre Mendonça
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1411975
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:24 UTC by Alexandre Mendonça
Modified: 2019-08-06 20:06 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1411975 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:10:17 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)

Description Alexandre Mendonça 2017-01-10 15:24:10 UTC
Description of problem:

Missing flash message after Middleware "Add Datasource" operation and the wizard form is not being reset after adding/canceling it.


Steps to Reproduce:
1. Add a new Datasource to a Middleware server
2. On completion, the wizard will close and no feedback message is shown to the user, while a flash message should be shown with the success/failure of the operation
3. Additionally, if the wizard is openend again, it will contain previous usage information, it should be cleared.

Comment 2 Alexandre Mendonça 2017-01-10 15:27:37 UTC
Pull Request @ https://github.com/ManageIQ/manageiq/pull/12820

Comment 5 Sunil Kondkar 2017-02-10 07:19:11 UTC
Verified on 5.8.0.0

After adding the data source, below message is shown in UI:
'Datasource "H2DS-Test" installation has started on this server.'

UI also shows success message for the operation - 'The operation Add Datasource H2DS-Test on Local (04d08a42-f136-4711-8ed4-f524d38b6213) completed successfully.'

Verified that if the add datasource wizard is opened again, the wizard starts clear with 'Choose Datasource' step and does does not display any previous usage information.


Note You need to log in before you can comment on or make changes to this bug.